Contents
Index 🔎︎

# Shell Function

Pokreće drugu aplikaciju i definira stil prozora, ako je potrebno.

### Syntax:

Shell (Pathname As String[, Windowstyle As Integer][, Param As String][, bSync])

### Parameters:

### Ime putanje

Kompletni put i ime programa koji želite pokrenuti

### Windowstyle

Neobavezan cjelobrojni izraz koji sprema stil prozora u kojem se program izvršava. Slejdeće vrijednosti su dopuštene

Windowstyle | Meaning
--- | ---
0 | Pažnja je na sakrivenom prozoru programa.
1 | Fokus je na programskom prozoru u standardnoj veličini
2 | Fokus je na minimaliziranom programskom prozoru
3 | Fokus je na maksimiziranom programskom prozoru
4 | Standardna veličina programskog prozora, bez fokusiranja
6 | Minimalizirani programski prozor, fokus ostaje na aktivnom prozoru
10 | Full-screen display.

### Param

Bilo koji izraz znakovnog niza koji sprema liniju koda koju želite dati

### bSync

If this value is set to true, the Shell command and all LibreOffice tasks wait until the shell process completes. If the value is set to false, the shell returns directly. The default value is false.

### Error codes:

5 Invalid procedure call

53 - Dokument nije pronađen

73 Not implemented

### Example:

    Sub ExampleShellForWin
        Shell("c:\windows\calc.exe",2)
    End Sub